summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-irc/irker')
-rw-r--r--net-irc/irker/Manifest1
-rw-r--r--net-irc/irker/irker-2.16.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/net-irc/irker/Manifest b/net-irc/irker/Manifest
index 89b5a0701e21..95aab9536eef 100644
--- a/net-irc/irker/Manifest
+++ b/net-irc/irker/Manifest
@@ -2,4 +2,5 @@ DIST irker-2.11.tar.gz 41504 SHA256 f7fa5b6020089c7fcb96429c2ce8621ccd9f1ebd14e1
DIST irker-2.12.tar.gz 41693 SHA256 cf76cc289e54c4d0d745e73a2cd9b8d0e40651890f9374220229f59fb220d5a5 SHA512 73606deb3f2b96d72501e876dd05f146e62298fa1f7a051c0f831f0db9fc9554f991b1d645c17ccb9032c7da287c142eedf69b262cf3445ae6b0937a24a5bdb4 WHIRLPOOL b33b395888be786e43340665bdc8067e06d412af0eb516cbb64c384b6f8d7d8883a43bb3e7e3a3516d8afd800ffdb47a9b66eb25fe060922104baedeb5c754f4
DIST irker-2.13.tar.gz 42733 SHA256 12e8d28f682c6e0bc66d33e8ec69b90db30edef4520ab2ffb26e3b4ff49609c4 SHA512 5aa86354b5f3dabd7e2b46c62df4298b3bc675757b71ee03e2068d9ad14dc35127fb4076ef819ddd0ae84d82937c540516ed77ab5f1177af6dc7381df56af3ac WHIRLPOOL 1cd1da51d5d5834ccdda295833fef20edc4bcae6706b58fdb0fbc1a986e02401c777e8a229b3b074826060554713803201d5fce87878ce6811df7e6f6e1ef52e
DIST irker-2.15.tar.gz 43765 SHA256 b4055ae0eb39140481a2b637a64b9d49df1d615f687f6fe05d64b6048e7739fb SHA512 94f4bb33a320f4284d03e75c7090ea4714d30d879e1abbf757c3e6eff8898ca5664f718c6ab2f35cae8377c348d41bc9100832b8a70f1b9f1a03c6f7487c2bfe WHIRLPOOL 15cd397c114f3ef44a2ecc04ae3e511328068c753ac5ff45f0e9bd550732a0bdcd4de181f2eb50ee718130cbb1d9c7dc9ecab2699e589e8b755be4084c280308
+DIST irker-2.16.tar.gz 43824 SHA256 3203bdf765fdf70ec9369fce15f52910676f76f1c1714ade3a0411c46f7b38b7 SHA512 6a58938e1d458ad9183d750b4f6d1a4827fffd85caf7c0215c2fa1a9ef5692570c5181ade28f59701bef7398fdc0cfa760fe70d9432b7e54dc7fa663a558fed4 WHIRLPOOL a5de277a01bcd79d7d5951406bacb0346c288860d1265ce99271b6d124bc7bf05e651a9a0ad2f78ddb158061aea142c3579a4d9d4e4944197a72d3f762f73486
DIST irker-2.9.tar.gz 41050 SHA256 1c743a86275e8bf91f133b70943a1296d960e2dcc8c5e8dd894bc9a3c9a824b5 SHA512 bdb632414c87ebc3f0d480605a29823d9259defe63a6c6de8f5d1876c13f5a4ab90ef7956a83f62aedf08f17494be7a67bc414e2e30101608f565afd115c5c0f WHIRLPOOL d1c76f1bcc329b4720a823714b1bb6aae81af5913f627474f5b938ac54e09da22f3fbb58f89d79dba0f4833e3a47efeb8f13d2dfffd7a8a2f97c49cf8db200cd
diff --git a/net-irc/irker/irker-2.16.ebuild b/net-irc/irker/irker-2.16.ebuild
new file mode 100644
index 000000000000..762c4ccb8c0d
--- /dev/null
+++ b/net-irc/irker/irker-2.16.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_REQ_USE="ssl"
+
+inherit python-single-r1 systemd eutils
+
+DESCRIPTION="Submission tools for IRC notifications"
+HOMEPAGE="http://www.catb.org/esr/irker/"
+SRC_URI="http://www.catb.org/esr/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-text/docbook-xml-dtd:4.1.2
+ app-text/xmlto"
+
+src_prepare() {
+ # https://gitorious.org/irker/irker/merge_requests/25
+ epatch "${FILESDIR}/2.7-Register-author_name-as-author-instead-of-email-user.patch"
+
+ epatch "${FILESDIR}/2.7-irkerhook-Remove-file-listing.patch"
+
+ # Rely on systemd eclass for systemd service install
+ sed -i -e "/^SYSTEMDSYSTEMUNITDIR/d" Makefile \
+ || die "sed failed"
+
+ # Prefix support
+ sed -i -e "/^ExecStart=/ s:=/:=${EROOT}:" irkerd.service \
+ || die "sed failed"
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ python_doscript "${ED}/usr/bin/irkerd"
+ # Not installed with the default Makefile
+ python_doscript irk irkerhook.py
+
+ newinitd "${FILESDIR}/irkerd.initd" irkerd
+ newconfd "${FILESDIR}/irkerd.confd" irkerd
+
+ systemd_dounit irkerd.service
+
+ dodoc NEWS README hacking.txt security.txt
+ dohtml irkerd.html irkerhook.html
+
+ docinto examples
+ dodoc filter-example.py filter-test.py
+}